team join Pajama @e[tag=pajama_base]
effect give @e[tag=pajama_base] invisibility infinite 255 true
tag @e[tag=aj.pajama_man.root] add pajama.teleported
execute as @e[tag=pajama_base] at @s rotated as @s run function upturned:teleport

execute as @e[tag=pajama_base] at @s if entity @a[distance=0..30] run function upturned:pajama_anims

execute as @e[tag=pajama_base,nbt={HurtTime:10s},tag=!guarding] run function upturned:guard

scoreboard players add @e[tag=pajama_base] pajamaMoving 1
scoreboard players set @e[tag=pajama_base,scores={pajamaMoving=8}] pajamaMoving 0
scoreboard players set @e[tag=pajama_base,nbt={Motion:[0.0,0.0,0.0]}] pajamaMoving 0
execute as @e[tag=pajama_base,scores={pajamaMoving=6}] positioned as @s run playsound entity.iron_golem.step hostile @a ~ ~ ~ 0.75 0.7 0

execute as @e[tag=pajama_base] positioned as @s unless entity @e[tag=aj.pajama_man.root,distance=..5] run function animated_java:pajama_man/summon/default

execute as @e[tag=pajama_base] positioned as @s if entity @e[type=#boat,distance=..3] run scoreboard players add @s trapped_timer 1
execute as @e[tag=pajama_base,scores={trapped_timer=60..}] positioned as @s if entity @e[type=#boat,distance=..3] run function upturned:breakout
execute as @e[tag=pajama_base] positioned as @s if entity @e[type=minecart,distance=..3] run scoreboard players add @s trapped_timer 1
execute as @e[tag=pajama_base,scores={trapped_timer=60..}] positioned as @s if entity @e[type=minecart,distance=..3] run function upturned:breakout
execute as @e[tag=pajama_base,scores={trapped_timer=150..}] run scoreboard players set @s trapped_timer 0

execute as @e[tag=pajama_base] run scoreboard players add @s guarding_timer 1
execute as @e[tag=pajama_base,scores={guarding_timer=200..}] run tag @s remove guarding
execute as @e[tag=pajama_base,scores={guarding_timer=200..}] run scoreboard players set @s guarding_timer 0

execute as @e[tag=aj.pajama_man.root] at @s unless entity @e[tag=pajama_base,distance=..5] run scoreboard players add @s deletion_timer 1
execute as @e[tag=aj.pajama_man.root,scores={deletion_timer=50..}] at @s unless entity @e[tag=pajama_base,distance=..5] run function animated_java:pajama_man/remove/this
execute as @e[tag=aj.pajama_man.root,scores={deletion_timer=50..}] at @s unless entity @e[tag=pajama_base,distance=..5] run scoreboard players set @s deletion_timer 0

execute as @e[tag=pajama_base] run data modify entity @s AngryAt set from entity @p[gamemode=!creative,gamemode=!spectator] UUID

execute as @e[tag=pajama_base,limit=1] run scoreboard players add @s song_loop 1
execute as @e[tag=pajama_base,limit=1,scores={song_loop=1}] positioned as @s run playsound minecraft:event.pajama.chase hostile @a[distance=..30] ~ ~ ~ 1.0
execute as @e[tag=pajama_base,limit=1,scores={song_loop=801..}] run scoreboard players set @s song_loop 0

execute unless entity @e[tag=pajama_base] run stopsound @a hostile minecraft:event.pajama.chase
execute if entity @e[tag=pajama_base] run stopsound @a music

execute as @a[nbt={Inventory:[{id:"minecraft:leather_leggings",Slot:101b,components:{"minecraft:rarity":"uncommon","minecraft:dyed_color":{rgb:9818857,show_in_tooltip:false}}}]}] if score @s sleep matches 1 run effect give @s minecraft:regeneration 120 0 true

execute as @a[nbt={Inventory:[{id:"minecraft:leather_chestplate",Slot:102b,components:{"minecraft:rarity":"uncommon","minecraft:dyed_color":{rgb:9818857,show_in_tooltip:false}}}]}] if score @s sleep matches 1 run effect give @s minecraft:saturation 120 0 true

execute as @e[type=minecraft:creeper,tag=!checked,predicate=upturned:surface] if score @r sleep matches 3.. run execute if predicate upturned:5 run execute at @s run execute unless entity @e[tag=pajama_base] run function upturned:fpm
tag @e[type=creeper,tag=!checked] add checked

execute as @a[scores={sleep=5..}] run scoreboard players set @s sleep 0

schedule function upturned:hub 1t